package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.pojo.dos.report.ReportFinancialIndicatorDO;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class ReportFinancialIndicatorDTO extends BaseReportDTO<ReportFinancialIndicatorDO> {
    private String level;

    /**
     * 年度
     */
    private Integer endDate;

    private BigDecimal fundAssetSize;
    private BigDecimal nav;
    private BigDecimal profit;
    private BigDecimal realizedIncome;

    @Override
    public ReportFinancialIndicatorDO toEntity() {
        ReportFinancialIndicatorDO entity = new ReportFinancialIndicatorDO();
        entity.setFileId(this.getFileId());
        entity.setLevel(this.level);
        entity.setEndDate(this.endDate);
        entity.setFundAssetSize(this.fundAssetSize);
        entity.setNav(this.nav);
        entity.setProfit(this.profit);
        entity.setRealizedIncome(this.realizedIncome);
        return entity;
    }
}
